import request from '@/config/axios'

// 课程-类型 VO
export interface AiCourseTypeVO {
  id: number // 课程类型id
  ctType: string, // 课程类型名称
  ctTypeNode: undefined, // 课程类型节点
  ctTypeSort: undefined, // 课程类型排序
  ctParentId: number, // 课程类型父级id
  ctTypeDescribe: string, // 课程类型描述
  tenantId: Number // 租户id
}

// 课程-类型 API
export const AiCourseTypeApi = {
  // 查询课程-类型列表
  getAiCourseTypeList: async (params) => {
    return await request.get({ url: `/aiCourse/course-type/list`, params })
  },
  // 查询课程-类型列表
  getAiCourseTypeSimpleList: async (params) => {
    return await request.get({ url: `/aiCourse/course-type/simple-list`, params })
  },

  // 查询课程-类型详情
  getAiCourseType: async (id: number) => {
    return await request.get({ url: `/aiCourse/course-type/get?id=` + id })
  },

  // 新增课程-类型
  createAiCourseType: async (data: AiCourseTypeVO) => {
    return await request.post({ url: `/aiCourse/course-type/create`, data })
  },

  // 修改课程-类型
  updateAiCourseType: async (data: AiCourseTypeVO) => {
    return await request.put({ url: `/aiCourse/course-type/update`, data })
  },

  // 删除课程-类型
  deleteAiCourseType: async (id: number) => {
    return await request.delete({ url: `/aiCourse/course-type/delete?id=` + id })
  },

  // 导出课程-类型 Excel
  exportAiCourseType: async (params) => {
    return await request.download({ url: `/aiCourse/course-type/export-excel`, params })
  },

  // 获取aiCourse课程列表
  getAiCourseTypeTree: async () => {
    return await request.get({ url: `/bjdxWeb/aiCourse/getAiCourseTypeTree`})
  }
}
